Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

QuerySlbGroup

QuerySlbGroup

GET/zstack/v1/load-balancers/slb/groups
GET/zstack/v1/load-balancers/slb/groups/{uuid}

Operation ID

QuerySlbGroup

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The UUID of the SLB group.

    • name
      StringRequired

      The name of the SLB group.

    • backendType
      StringRequired

      The backend type.

    • deployType
      StringRequired

      The deploy type.

    • slbOfferingUuid
      StringRequired

      The slb offering UUID.

    • description
      StringRequired

      The detailed description of the SLB group.

    • createDate
      TimestampRequired

      The time when the SLB group was created.

    • lastOpDate
      TimestampRequired

      The time when the SLB group was last modified.

    • slbVms
      ListRequired

      See slbVms.

      • slbGroupUuid
        StringRequired

        The slb group UUID.

      • publicNetworkUuid
        StringRequired

        The public network UUID.

      • virtualRouterVips
        ListRequired

        The virtual router vips.

      • applianceVmType
        StringRequired

        The appliance VM instance type.

      • managementNetworkUuid
        StringRequired

        The management network UUID.

      • defaultRouteL3NetworkUuid
        StringRequired

        The default route L3 network UUID.

      • status
        StringRequired

        The resource status.

      • agentPort
        IntegerRequired

        The agent port.

      • haStatus
        StringRequired

        The HA status.

      • uuid
        StringRequired

        The VM UUID.

      • name
        StringRequired

        The name of the VM instance.

      • description
        StringRequired

        The detailed description of the VM instance.

      • zoneUuid
        StringRequired

        The zone UUID.

      • clusterUuid
        StringRequired

        The cluster UUID.

      • imageUuid
        StringRequired

        The image UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • lastHostUuid
        StringRequired

        The last host UUID.

      • instanceOfferingUuid
        StringRequired

        The instance offering UUID.

      • rootVolumeUuid
        StringRequired

        The root volume UUID.

      • platform
        StringRequired

        The platform.

      • defaultL3NetworkUuid
        StringRequired

        The default L3 network UUID.

      • type
        StringRequired

        The resource type.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • memorySize
        LongRequired

        The memory size.

      • cpuNum
        IntegerRequired

        The number of CPUs.

      • cpuSpeed
        LongRequired

        The CPU speed.

      • allocatorStrategy
        StringRequired

        The allocator strategy.

      • createDate
        TimestampRequired

        The time when the VM instance was created.

      • lastOpDate
        TimestampRequired

        The time when the VM instance was last modified.

      • state
        StringRequired

        The resource state.

      • vmNics
        ListRequired

        See vmNics.

        • uuid
          StringRequired

          The NIC UUID.

        • vmInstanceUuid
          StringRequired

          The VM instance UUID.

        • l3NetworkUuid
          StringRequired

          The L3 network UUID.

        • ip
          StringRequired

          The IP address of the NIC.

        • mac
          StringRequired

          The MAC address of the NIC.

        • hypervisorType
          StringRequired

          The virtualization type.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway IP address.

        • metaData
          StringRequired

          The metadata.

        • ipVersion
          IntegerRequired

          The IP version.

        • deviceId
          IntegerRequired

          The device ID.

        • type
          StringRequired

          The NIC type.

        • createDate
          TimestampRequired

          The time when the NIC was added to the VM instance.

        • lastOpDate
          TimestampRequired

          The time when the NIC was last modified.

        • usedIps
          ListRequired

          See usedIps.

          • uuid
            StringRequired

            The IP address UUID.

          • ipRangeUuid
            StringRequired

            The IP range UUID.

          • l3NetworkUuid
            StringRequired

            The L3 network UUID.

          • ipVersion
            IntegerRequired

            The IP version.

          • ip
            StringRequired

            The IP address.

          • netmask
            StringRequired

            The netmask.

          • gateway
            StringRequired

            The gateway IP address.

          • usedFor
            StringRequired

            The intended use.

          • ipInLong
            longRequired

            The IP address represented as a long integer.

          • vmNicUuid
            StringRequired

            The VM NIC UUID.

          • createDate
            TimestampRequired

            The time when the IP address was used.

          • lastOpDate
            TimestampRequired

            The time when the was last modified.

      • allVolumes
        ListRequired

        See allVolumes.

        • uuid
          StringRequired

          The volume UUID.

        • name
          StringRequired

          The volume name.

        • description
          StringRequired

          The detailed description of the volume.

        • primaryStorageUuid
          StringRequired

          The primary storage UUID.

        • vmInstanceUuid
          StringRequired

          The bare metal instance UUID.

        • diskOfferingUuid
          StringRequired

          The volume offering UUID.

        • rootImageUuid
          StringRequired

          The root image UUID.

        • installPath
          StringRequired

          The installation path of the volume in the primary storage.

        • type
          StringRequired

          The type of the volume.

        • format
          StringRequired

          The format of the volume.

        • size
          LongRequired

          The size of the volume.

        • actualSize
          LongRequired

          The actual storage space that the volume takes up.

        • deviceId
          IntegerRequired

          The device ID.

        • state
          StringRequired

          The state of the volume.

        • status
          StringRequired

          The status of the volume.

        • createDate
          TimestampRequired

          The time when the volume was created.

        • lastOpDate
          TimestampRequired

          The time when the volume was last modified.

        • isShareable
          BooleanRequired

          Indicates whether the volume is shareable.

        • volumeQos
          StringRequired

          The QoS of the volume, for example, 1048576.

      • vmCdRoms
        ListRequired

        See vmCdRoms.

        • uuid
          StringRequired

          The CD-ROM UUID.

        • vmInstanceUuid
          StringRequired

          The VM instance UUID.

        • deviceId
          IntegerRequired

          The device ID.

        • isoUuid
          StringRequired

          The ISO image UUID.

        • isoInstallPath
          StringRequired

          The installation path of the ISO image.

        • name
          StringRequired

          The CD-ROM name.

        • description
          StringRequired

          The detailed description of the CD-ROM.

        • createDate
          TimestampRequired

          The time when the CD-ROM was created.

        • lastOpDate
          TimestampRequired

          The time when the CD-ROM was last modified.

    • lbs
      ListRequired

      See lbs.

      • slbGroupUuid
        StringRequired

        The slb group UUID.

      • name
        StringRequired

        The name of the load balancer.

      • uuid
        StringRequired

        The UUID of the load balancer.

      • description
        StringRequired

        The detailed description of the load balancer.

      • state
        StringRequired

        The resource state.

      • type
        StringRequired

        The resource type.

      • vipUuid
        StringRequired

        The virtual IP UUID.

      • createDate
        TimestampRequired

        The time when the oad balancer was created.

      • lastOpDate
        TimestampRequired

        The time when the load balancer was last modified.

      • listeners
        ListRequired

        See listeners

        • uuid
          StringRequired

          The listener UUID.

        • name
          StringRequired

          The name of the listener.

        • description
          StringRequired

          The detailed description of the listener.

        • loadBalancerUuid
          StringRequired

          The load balancer UUID.

        • instancePort
          IntegerRequired

          The instance port.

        • loadBalancerPort
          IntegerRequired

          The load balancer port.

        • protocol
          StringRequired

          The protocol.

        • serverGroupUuid
          StringRequired

          The server group UUID.

        • createDate
          TimestampRequired

          The time when the listener was created.

        • lastOpDate
          TimestampRequired

          The time when the listener was last modified.

        • vmNicRefs
          ListRequired

          See vmNicRefs.

          • id
            LongRequired

            The resource ID.

          • listenerUuid
            StringRequired

            The listener UUID.

          • vmNicUuid
            StringRequired

            The VM NIC UUID.

          • status
            StringRequired

            The resource status.

          • createDate
            TimestampRequired

            The time when the NIC was added to the VM instance.

          • lastOpDate
            TimestampRequired

            The time when the NIC was last modified.

        • aclRefs
          ListRequired

          See aclRefs.

          • id
            LongRequired

            The record ID.

          • listenerUuid
            StringRequired

            The listener UUID.

          • aclUuid
            StringRequired

            The UUID of the access control list (ACL).

          • type
            StringRequired

            The type of the ACL.

          • createDate
            TimestampRequired

            The time when the ACL was created.

          • lastOpDate
            TimestampRequired

            The time when the ACL was last modified.

        • certificateRefs
          ListRequired

          See certificateRefs.

          • id
            LongRequired

            The resource ID.

          • listenerUuid
            StringRequired

            The listener UUID.

          • certificateUuid
            StringRequired

            The certificate UUID.

          • createDate
            TimestampRequired

            The time when the certificate was created.

          • lastOpDate
            TimestampRequired

            The time when the certificate was last modified.

        • serverGroupRefs
          ListRequired

          See serverGroupRefs.

          • id
            longRequired

            The resource ID.

          • listenerUuid
            StringRequired

            The listener UUID.

          • serverGroupUuid
            StringRequired

            The server group UUID.

          • createDate
            TimestampRequired

            The time when the server group was created.

          • lastOpDate
            TimestampRequired

            The time when the server group was last modified.

    • networks
      ListRequired

      See networks.

      • slbGroupUuid
        StringRequired

        The slb group UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • l3NetworkCategory
        StringRequired

        The L3 network category.

      • l3NetworkType
        StringRequired

        The L3 network type.

      • type
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The time when the network was created.

      • lastOpDate
        TimestampRequired

        The time when the network was last modified.